#!/bin/bash
echo "Running debian/conf_make_install.sh"
CROSS=$1
#CFLAGS=$2
CFLAGS='-g -O2 -march=sandybridge -mtune=skylake'
#CXXFLAGS=$3
CXXFLAGS=$CFLAGS
#FFLAGS=$4
FFLAGS=$CFLAGS
PREFIX=$5
MAKE=$6
MAKEFLAGS=$7
VERSION=$8
PATH=$PATH:$PWD/heasoft-$VERSION/BUILD_DIR
echo CROSS $CROSS
echo CFLAGS $CFLAGS
echo CXXLAGS $CXXFLAGS
echo FFLAGS $FFLAGS
echo LDFLAGS $LDFLAGS
echo CPPFLAGS $CPPFLAGS
echo tar zxf heasoft-"$VERSION"src.tar.gz
tar zxf heasoft-"$VERSION"src.tar.gz
echo "debian/conf_make_install.sh: Starting configure"
echo PWD
export CFLAGS CXXFLAGS FFLAGS CPPFLAGS LDFLAGS
pwd
cd heasoft-$VERSION/BUILD_DIR
#echo ./configure $CROSS --prefix=$PREFIX
#echo ./configure --prefix=$PREFIX
echo ./configure $CROSS --with-copt=\'"$CFLAGS"\' --with-cxxopt=\'"$CXXFLAGS"\' --with-fopt=\'"$FFLAGS"\' --prefix=$PREFIX --with-root
./configure $CROSS --with-copt=\'"$CFLAGS"\' --with-cxxopt=\'"$CXXFLAGS"\' --with-fopt=\'"$FFLAGS"\' --prefix=$PREFIX --with-root
#./configure $CROSS --with-copt=\'"$CFLAGS"\' --with-cxxopt=\'"$CXXFLAGS"\' --with-fopt=\'"$FFLAGS"\' --prefix=$PREFIX --enable-png --enable-openmp --enable-readline --with-root
#./configure $CROSS --with-copt="$CFLAGS" --with-cxxopt="$CXXFLAGS" --with-fopt="$FFLAGS" --prefix=$PREFIX
#./configure $CROSS --prefix=$PREFIX
./configure --prefix=$PREFIX
echo "debian/conf_make_install.sh: Starting make"
echo PWD
pwd
echo $MAKE $MFLAGS
$MAKE $MFLAGS
echo "conf_make_install.sh: starting make install"
echo PWD
pwd
$MAKE install
echo "End of debian/conf_make_install.sh"
