#!/bin/sh

# Get the platform string by looking the directory name.
platform=`ls $1 | grep libc`

# Configuration file for Bourne Shell users
cat > heasoft.sh <<EOF
# This configuration file is overwritten in each
# version update of heasoft.  If changes are needed,
# please ask help from Pekko Metsä <pekko.metsa@helsinki.fi>.
HEADAS=/opt/astro/heasoft-6.30.1/$platform
export HEADAS
alias heainit=". \$HEADAS/headas-init.sh"
EOF

# Configuration file for C Shell users
cat > heasoft.csh <<EOF
# This configuration file is overwritten in each
# version update of heasoft.  If changes are needed,
# please ask help from Pekko Metsä <pekko.metsa@helsinki.fi>.
setenv HEADAS /opt/astro/heasoft-6.30.1/$platform
alias heainit "source \$HEADAS/headas-init.csh"
EOF
